Name:		perl-ConfigReader
Version: 	0.5
Release:	3.4
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module ConfigReader
Summary(de):	Perlmodul ConfigReader
URL: 		http://search.cpan.org/~amw/
Source0: 	ConfigReader-%{version}.tar.gz
Patch0:		%{name}.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
ConfigReader is a set of classes for reading configuration files.  The
programmer can easily specify the directives to be read, as well as
their default values and a parsing function or method to use.  A lot
of work went into error handling.  The class implementation means that
a simple subclass can be written to parse a different style of
configuration file, and it will automatically get the specifying,
error handling, and parser features of ConfigReader.

%prep
%setup -q -n ConfigReader-%{version}
%patch

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/ConfigReader
%{perl_vendorlib}/ConfigReader/ConfigReader.pod
%{perl_vendorlib}/ConfigReader/DirectiveStyle.pm
%{perl_vendorlib}/ConfigReader/Spec.pm
%{perl_vendorlib}/ConfigReader/Values.pm
%{_mandir}/man3/ConfigReader::ConfigReader.3pm*
%{_mandir}/man3/ConfigReader::DirectiveStyle.3pm*
%{_mandir}/man3/ConfigReader::Spec.3pm*
%{_mandir}/man3/ConfigReader::Values.3pm*

%changelog
* Fri Feb 23 2007 Carsten Schoene <cs@linux-administrator.com> - 0.5-1
- initial build of ConfigReader perl package which is required for flowscan 
